@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap");

body {
  font-family: "Montserrat", sans-serif;
  background-color: #ffffff;
  margin: 0;
  padding: 0;
  width: 1366px;
  margin-inline: auto;
  overflow-x: hidden;
}

.container {
  display: flex;
  flex-direction: row;
  min-height: auto;
}

.calculadora {
  width: 320px;
  background-color: #fff;
  padding: 1.5rem;
  border-right: 1px solid #414141;

  position: sticky;
  top: 1rem;
  align-self: flex-start;
  height: fit-content;
}

.calculadora h2 {
  margin-top: 0;
  margin-bottom: 1rem;
  font-size: 2rem;
  color: #414141;
  font-weight: 700;
}

.calculadora label {
  display: block;
  margin-top: 1rem;
  font-weight: 400;
  font-size: 1rem;
  color: #444;
}

.calculadora input {
  background-color: rgba(226, 226, 226, 0.3);
  color: #626263;
  width: 100%;
  padding: 0.5rem;
  font-size: 1rem;
  font-weight: 600;
  margin-top: 0.3rem;
  box-sizing: border-box;
  border: none;
  outline: none;
  border-radius: 4px;
}

.calculadora select {
  font-family: "Montserrat", sans-serif;
  width: 80%;
  margin-top: 10px;
  font-size: 0.9rem;
  font-weight: 700;
  margin-top: 0.3rem;
  box-sizing: border-box;
  appearance: none; /* Remove o estilo padrão do navegador */
  -webkit-appearance: none;
  -moz-appearance: none;

  color: #000;
  padding: 0.5rem 2.5rem 0.5rem 0.5rem;
  background-image: url("Vector 11.svg");
  background-repeat: no-repeat;
  background-position: right 6rem center;
  background-size: 1rem;

  border-radius: 4px;
  outline: none;
  border: none;
}

#nPulverizador {
  max-width: 20%;
  outline: none;
}

/* FIM CALCULADORA */

.resultado {
  color: #eb690a;
  margin-top: 2.5rem;
  border-radius: 6px;
  font-size: 0.95rem;
}

.resultado h3 {
  margin-top: 0;
  font-size: 2rem;
  font-weight: bold;
  color: #eb690a;
  padding: 0;
}

.resultado p {
  margin-top: 1rem !important;
  font-size: 1rem;
  color: #414141;
  font-weight: 400;
}

.resultado span {
  background-color: rgba(226, 226, 226, 0.3);

  display: block;
  font-size: 1rem;
  font-weight: 600;
  margin-top: 5px;
  color: #eb690a;
  padding-top: 7px;
  padding-bottom: 7px;
  padding-left: 9px;
  border-radius: 4px;
}

.download {
  margin-top: 20px;
}

.download h2 {
  font-size: 1rem;
  font-weight: 700;
  color: #414141;
}

.download button {
  font-family: "Montserrat", sans-serif;
  background-color: #eb690a;
  color: #ffffff;
  font-size: 1rem;
  font-weight: 700;
  width: 180px;
  height: 37px;
  padding: 10px 0 10px 0;
  border-radius: 50px;
  border: none;
  cursor: pointer;
}

/* FINAL DA DIV LADO ESQUERDO */

.tabela {
  flex-grow: 1;
  padding: 2rem;
  overflow-y: auto;
}

.resultado-bloco {
  background-color: #fff;
  margin-bottom: 4rem;
  padding: 0rem;
}

.resultado-bloco h3 {
  background-color: #eb690a;
  color: white;
  font-weight: bold;
  font-size: 20px;
  padding: 0.6rem 1rem;
  text-align: center;
  margin: 0;
}

.resultado-linha {
  display: flex;
  gap: 2rem;
  align-items: flex-start;
  border: none;
  flex-wrap: nowrap;
  justify-content: space-between;
}

.resultado-tabela {
  width: 100%;
  border-collapse: collapse;
  text-align: center;
  font-size: 1rem;
  margin-top: 1rem;
  background-color: #fff;
}

.resultado-tabela th {
  padding: 0.75rem 0.5rem;
  font-weight: bold;
  font-size: 0.95rem;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  color: #414141;
  padding-top: 0;
}

.resultado-tabela td {
  padding: 0.65rem 0.5rem;
  border-bottom: 1px solid #eb690a;
  color: #171717;
  background-color: #ffffff;
  font-size: 14px;
  font-weight: 500;
}

.imagem-bico {
  max-width: 200px;
  height: auto;
  object-fit: contain;
  margin-left: 4rem;
  flex-shrink: 0;
  margin-block: auto;
}

/*Conteiners acoplados*/
.resultado-topo {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
}

@media (max-width: 768px) {
  body {
    width: 100% !important;
  }

  .container {
    flex-direction: column;
  }

  .calculadora {
    width: 82%;
    border-right: none;
    border-bottom: 1px solid #ddd;

    position: static !important;
    top: auto !important;
  }

  .calculadora h2 {
    font-size: 1.4rem;
  }

  .calculadora label {
    font-size: 0.9rem;
  }

  .tabela {
    padding: 1rem;
  }

  .resultado h3 {
    font-size: 1.4rem;
  }

  .resultado p {
    font-size: 0.9rem;
  }

  .resultado-linha {
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    margin-block: auto;
  }

  .imagem-bico {
    width: 60%;
    padding-top: 30px;
    margin: 0 auto;
  }

  .resultado-tabela th {
    font-size: 0.9rem;
  }

  .resultado-tabela td {
    font-size: 0.8rem;
  }

  .resultado-bloco h3 {
    font-size: 1rem;
    padding: 0.5rem 1rem;
  }

  .download {
    text-align: left;
    max-width: 100%;
    margin-top: 2rem;
    margin-bottom: 2rem;
  }

  .download button {
    width: 100%;
    max-width: 220px;
  }

  .download h2 {
    font-size: 1.3rem;
    max-width: 100%;
  }

  .resultado-topo {
    width: 90vw;
    overflow-x: auto;
  }
}
